﻿var menuContainer;

initMenu();
fillMenu();

function initMenu()
{
	$('body').prepend('<div id="MenuContainer">');
	menuContainer = $('#MenuContainer');
	menuContainer.append('<a id="printButton" onClick="javascript:window.print()"><img id="printIconImage" src="images/printer.png" alt="Drucken" />' + localization.lang.print + '</a>')
	menuContainer.append('<p>' + localization.lang.menuContents + '<p>');
}

function fillMenu()
{
	var links = getTOCLinks();
	createButtons(links);
}

function getTOCLinks()
{
	return $('.tocLink');
}

function createButtons(links)
{
	$.each(links, function() {
		var $this = $(this);
		var linkText = getLinkText($this);
		var button = $this.clone();
		button.text(linkText.text());
		menuContainer.append(button);
	});
}

function getLinkText(link)
{
	return link.prev('.tocText');
}

